Welcome to our peer-to-peer forums, where owners help owners. Need help now? Visit our eSupport here.

English Community

Datacenter SystemsBladeCenter / Flex Systems
All Forum Topics
Options

20 Posts

01-21-2016

United States of America

18 Signins

129 Page Views

  • Posts: 20
  • Registered: ‎01-21-2016
  • Location: United States of America
  • Views: 129
  • Message 1 of 6

Firmware version dependencies between CMM and IMM

2018-01-31, 22:40 PM

Hopefully someone knowledgeable from Lenovo can answer this one. 

 

If the readme does not state any dependencies for a particular blade IMM firmware, is it safe to upgrade the IMM to the latest even if the CMMs on the chassis are not fully up-to-date? For example, I have x240 M5s that I want to update to IMM version 4.40, but the CMMs are still on 1.6.0 instead of the latest 1.7.0.

Reply
Options

68 Posts

04-23-2015

Japan

143 Signins

566 Page Views

  • Posts: 68
  • Registered: ‎04-23-2015
  • Location: Japan
  • Views: 566
  • Message 2 of 6

Re: Firmware version dependencies between CMM and IMM

2018-02-01, 4:58 AM

Lenovo released below tips.

For Lenovo servers.

https://pcsupport.lenovo.com/gb/en/solutions/flexlandingpage

 

For IBM servers.

https://datacentersupport.lenovo.com/gb/en/solutions/ht503043

 

Reply
Options

20 Posts

01-21-2016

United States of America

18 Signins

129 Page Views

  • Posts: 20
  • Registered: ‎01-21-2016
  • Location: United States of America
  • Views: 129
  • Message 3 of 6

Re: Firmware version dependencies between CMM and IMM

2018-02-01, 18:02 PM
Thanks for the reply, but that just tells me the "recommendation" which is always going to be "be on the latest on everything". It doesn't tell me whether it's safe for the CMM to be a couple of revisions down.
Reply
Options

68 Posts

04-23-2015

Japan

143 Signins

566 Page Views

  • Posts: 68
  • Registered: ‎04-23-2015
  • Location: Japan
  • Views: 566
  • Message 4 of 6

Re: Firmware version dependencies between CMM and IMM

2018-02-02, 6:18 AM

Hi,

Flex firmware recommended version is in stack list.

For exam,
lenovo_flex_sw_stack_2017_17B case,CMM2 is 1aon18b-1.7.0 and x240M5 uEFI/imm2 are tcoo36c-4.40/c4e132h-2.50
Refer to below link.
https://download.lenovo.com/servers/mig/2017/11/27/18097/lnvgy_utl_uxsp_c4sp02p-4.50_windows_32-64.html

Reply
Options

20 Posts

01-21-2016

United States of America

18 Signins

129 Page Views

  • Posts: 20
  • Registered: ‎01-21-2016
  • Location: United States of America
  • Views: 129
  • Message 5 of 6

Re: Firmware version dependencies between CMM and IMM

2018-02-02, 14:16 PM
Thanks, but you still haven't answered my question. I know what the recommended versions are but that doesn't tell me whether it's safe to have the CMM at a lower firmware level than the IMM.
Reply
Options

68 Posts

04-23-2015

Japan

143 Signins

566 Page Views

  • Posts: 68
  • Registered: ‎04-23-2015
  • Location: Japan
  • Views: 566
  • Message 6 of 6

Re: Firmware version dependencies between CMM and IMM

2018-02-06, 8:36 AM

Sorry, I don't know safe level because Lenovo test only stack list convinations.

Reply
Forum Home

Community Guidelines

Please review our Guidelines before posting.

Learn More

Check out current deals!

Go Shop
X

Save

X

Delete

X

No, I don’t want to share ideas Yes, I agree to these terms